<?php
include ("conexion.php");

$consfolio=strip_tags($_POST['folio']);

$consob="SELECT observaciones FROM salida WHERE idSalida='$consfolio'";
$resob=mysql_query($consob,$conex) or die ("No se realizó consob");
$observaciones=mysql_result($resob,0,'observaciones');

?>

<!doctype html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Clinisys :. Universidad Cuauht&eacute;moc</title>
<link href="ucaestilos.css" rel="stylesheet" type="text/css" />
<style type="text/css">
<!--
body {
	background-color: #CCCCCC;
}
.Estilo3 {color: #000000}
-->
</style>
<script type="text/javascript" src="scripts/jquery-1.12.4.min.js"></script>
<script type="text/javascript" src="scripts/jquery.tablesorter.js"></script> 
<link rel="stylesheet" type="text/css" href="css/tablesorter_style.css"/>
<script>
$(document).ready(function() 
{ 
        $(".tablesorter").tablesorter({  
			sortList: [[1,0]],
			headers: { 2: {sorter: false},3: {sorter: false},4: {sorter: false},5: {sorter: false},6: {sorter: false},7: {sorter: false} } 
		}); 
    
});
</script>
</head>
<body>
<table width="800" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
  <tr>
    <td><img src="img/top04.jpg" width="800" height="40" /></td>
  </tr>
  <tr>
    <td><table width="790" border="0" align="center">
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td><div align="center" class="style77">ENTREGA DE MATERIAL REALIZADO CON &Eacute;XITO</div></td>
            </tr>
          </table>
            <table width="100%" border="0" align="center" cellspacing="0">
              <tr>
                <td width="23%"><hr /></td>
                <td width="54%" align="center"><span class="style7">No. Control del Ticket # <span class="style9"><?php echo $consfolio; ?> </span></span></td>
                <td width="23%"><hr /></td>
              </tr>
            </table>
              <div id="contenido">
<?php
echo "<table align='center' cellpadding='2' class='tablaBordes tablesorter' width='700'>";
echo "<thead><tr class='tablaCabecera' align='center'>";

echo "<th>Clave&nbsp;&nbsp;</th>";
echo "<th>Producto</th>";
echo "<th>Derecho</th>";
echo "<th>Unidad</th>";
echo "<th>Entregado</th>";
echo "<th>Devuelto</th>";
echo "<th>Disponible</th>";

echo "</tr></thead><tbody>";


	$conteo=0;
	$cons3="SELECT idProducto,cantidad,entregado FROM contenido_salida WHERE idSalida='$consfolio'";
	$res3=mysql_query($cons3,$conex) or die ("No se realizo el barrido en la tabla contenido_salida");
	while($fila2 = mysql_fetch_array($res3))
	{		
		$query="SELECT clave,nombre,clasificacion FROM productos Where clave='$fila2[0]'";
		$result=mysql_query($query,$conex) or die ("No se consultaron los productos");
		$numero_filas=mysql_num_rows($result);
		$numero_campos= mysql_num_fields($result);
		while($fila = mysql_fetch_array($result))
		{
			if ($conteo==0)
			{
				echo "<tr>";
				}
				else
				{
				echo "<tr bgcolor='#F0F0F0'>";
				}

				//CONSULTO NOMBRE DE LA PRESENTACION
				$cons1="SELECT idPresentacion FROM  productos WHERE clave='".$fila[0]."'";
				$res1=mysql_query($cons1,$conex) or die ("No consulto ID de presentacion");
				$idpresen=mysql_result($res1,0,'idPresentacion');

				$cons2="SELECT presentacion FROM presentaciones WHERE idPresentacion='$idpresen'";
				$res2=mysql_query($cons2,$conex) or die ("No consulto nombre de presentacion");
				$presen=mysql_result($res2,0,'presentacion');

				echo "<td class='style1'>".$fila[0]."</td>";


				echo "<td class='style1'>".utf8_encode($fila[1])."</td>";

				//CANTIDAD
				echo "<td class='titulo' align='center'>".$fila2[1]."</td>";

				//IMPRIMO PRESENTACION
				echo "<td class='style1'>".$presen."</td>";

				//YA ENTREGADOS
				$entregado=0;
				$cons20="SELECT entregado FROM entregas_material WHERE clave='$fila[0]' and idSalida='$consfolio'";
				$res20=mysql_query($cons20,$conex) or die ("No consulto entregados");
				$filasent=mysql_num_rows($res20);

				if ($filasent==0)
				{
					$entregado=0;
				}
				else
				{
					while($entrega=mysql_fetch_row($res20))
					{
						$entregado=$entregado + $entrega[0];
					}
				}

				echo "<td class='style10' align='center'>";
				echo $entregado;
				echo "</td>";
				
				//DEVUELTOS
				$devoltotal=0;
				$cons21="SELECT cantidad FROM devolucionesmaterial WHERE clave='$fila[0]' and idSalida='$consfolio'";
				$res21=mysql_query($cons21,$conex) or die ("No consulto devueltos");
				$filasdev=mysql_num_rows($res21);
				
				if ($filasdev==0)
				{
					$devoltotal=0;
				}
				else
				{
					while($devueltos=mysql_fetch_row($res21))
					{
						$devoltotal=$devoltotal + $devueltos[0];
					}
				}
				
				echo "<td class='style10' align='center'>";
				echo $devoltotal;
				echo "</td>";

				//DISPONIBLES
				$quedan1=$entregado - $devoltotal;
				if($fila2[1]=="0")
				{$quedan=0;}
				else
				{
					$quedan=$fila2[1] - $quedan1;
				}
				if($quedan < 0)
				{
					$quedan=0;
				}

				//DISPONIBLES
				//$quedan=$fila2[1] - $entregado;
				
				echo "<td class='style10' align='center'>";
				echo $quedan;
				echo"<input name='quedan".$fila[0]."' type='hidden' class='cuadrotexto' id='quedan".$fila[0]."' size='1' value='$quedan'>";
				echo "</td>";

				$conteo=$conteo + 1;
				if ($conteo==2)
				{$conteo=0;}
			}

	echo "</tr>";

}
echo "</table>";
?>
              </div>
          </td>
      </tr>
    </table>
        <div align="center"><br /><?php //echo $mensaje; ?> </div>
          <table width="298" border="0" align="center" cellpadding="0" cellspacing="5">
            <tr>
              <td class="style4"><strong>Observaciones:</strong></td>
            </tr>
            <tr>
              <td><textarea name="observaciones" cols="60" rows="5" class="cuadrotexto" id="observaciones" readonly><?php echo $observaciones; ?></textarea></td>
            </tr>
      </table>
      <table width="451" border="0" align="center" cellspacing="10">
        <tr>
          <td width="166"><form id="form1" name="form1" method="post" action="main.php?a=47">
              <div align="center">
                <p>
                  <input name="Submit2" type="submit" class="botonDefault" value="Regresar a entregas de material" />
                </p>
              </div>
          </form></td>
          <td width="84"><form id="form1" name="form1" method="post" action="main.php">
              <div align="center">
                <p>
                  <input name="Submit" type="submit" class="botonDefault" value="Volver a inicio" />
                </p>
              </div>
          </form></td>
          <td width="155">
          <form id="form1" name="form1" method="post" action="ejecutarsalida2.php?consfolio=<?php echo $consfolio; ?>">
              <div align="center">
                <p>
                  <input name="Submit2" type="submit" class="botonDefault" value="Agragar producto a este ticket" />
                </p>
              </div>
          </form>
          </td>
        </tr>
      </table>
<table width="100%" border="0">
          <tr>
            <td height="22" bgcolor="#4E5B7B"><table width="99%" border="0" align="center" cellpadding="2" cellspacing="0">
<tr>
        <td height="26" style="background-color:#0D3356;">
        <div align="center" id="noimprimible">
          <table width="99%" border="0" align="center" cellpadding="2" cellspacing="0">
            <tr>
              <td align="center" class="style8">Desarrollado para la Universidad Cuauht&eacute;moc por <a href="http://www.upweb.mx" target="_blank"><img src="img/webmaster.svg" style="height:16px; vertical-align:bottom;"></a></td>
            </tr>
          </table>
        </div></td>
        </tr>
      </table></td></tr>
</table>
</body>
</html>